# ExtensionDsLab
ExtensionDsLab is a data science and machine learning framework for analyzing 
security and privacy related properties of the browser  extensions (and Chrome 
Apps) offered in the [Chrome Web Store](https://chrome.google.com/webstore/). 

## Dependencies

Dependencies are managed by paket.
## Installation

### Linux/MacOs (mono)

After cloning the repository, call

        ./configure.sh  

After that, the project can be build using

        ./build.sh

### Windows

On Windows (untested), you need to set up the initial project manually:

        .paket/paket.bootstrapper.exe
        .paket/paket.exe install
  
After that, the project can be build using

        build.cmd

## Team

* [Achim D. Brucker](https://www.brucker.ch/)

## License

This project is licensed under the GPL 3.0 (or any later version).

SPDX-License-Identifier: GPL-3.0-or-later

## Master Repository

The master git repository for this project is hosted by the [Software
Assurance & Security Research Team](https://logicalhacking.com) at
<https://git.logicalhacking.com/adbrucker/ExtensionDsLab>.
